THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Zendesk (Helpdesk and Chat)

Ok

PUBLISHED

CVE-2023-38122

Inductive Automation Ignition OPC UA Quick Client Permissive Cross-domain Policy Remote Code Execution Vulnerability

Reserved:2023-07-12
Published:2024-05-03
Updated:2024-06-06

Description

Inductive Automation Ignition OPC UA Quick Client Permissive Cross-domain Policy Remote Code Execution Vulnerability. This vulnerability allows remote attackers to execute arbitrary code on affected installations of Inductive Automation Ignition. Although authentication is required to exploit this vulnerability, the existing authentication mechanism can be bypassed. The specific flaw exists within the configuration of the web server. The issue results from the lack of appropriate Content Security Policy headers. An attacker can leverage this in conjunction with other vulnerabilities to execute code in the context of SYSTEM. Was ZDI-CAN-20539.



HIGH: 7.2CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H

Problem types

CWE-942: Permissive Cross-domain Policy with Untrusted Domains

Product status

Default status
unknown

8.1.24
affected

References

https://www.zerodayinitiative.com/advisories/ZDI-23-1013/ (ZDI-23-1013)

https://inductiveautomation.com/blog/inductive-automation-participates-in-pwn2own-to-strengthen-ignition-security (vendor-provided URL) vendor-advisory

cve.org CVE-2023-38122

nvd.nist.gov CVE-2023-38122

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2023-38122